@import url("https://fonts.googleapis.com/css2?family=Libre+Franklin:wght@500;600;700&family=Poppins:wght@500;600;700;800&family=Rufina:wght@400;700&family=Work+Sans:wght@400;500&display=swap");


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* font-family: 'Work Sans', sans-serif; */
}

:root{
    --heading: rgb(0,10,45);
    --para: #777;
    --para-tint:#e4e4e4;
    --white: #fff;
    --black: #212529;
    --helper: #8490ff;
    --overlay: #3e64ff;
    --helper-tint: #f3f4ff;
    --bg: rgb(249 249 255);
    --icon-bg: rgba(144, 172, 209, 0.2);
    --gradient: linear-gradient(0deg, rgb(132 144 255) 0%, rgb(98 189 252) 100);
    --gradientSupport: -webkit-linear-gradient(0deg, rgb(132 144 255) 0%, rgb(98 189 252) 100%);
    --shadow: 0px 0px 20px 0px rgb(132 144 255 / 20%);
    --shadowSupport: 0px 20px 20px 0px rgb(132 144 255 / 30%);
    --shadow2: 0px 20px 20px 0px rgba(73, 75, 190, 0.3);
}

html{
    font-size: 62.5%;
  font-family: "Work Sans", sans-serif;
  overflow-x: hidden;
}

body{
    overflow-x: hidden;
}

h1,
h2,
h3,
h4{
    font-family: "Rufina", serif;
  font-family: "Poppins", sans-serif;
}

h1{
    color: var(--heading);
    font-size: 6rem;
    font-weight: 600;
}

h3{
    font-size: 1.8rem;
    font-weight: 400;
    /* margin-bottom: 1rem; */
}

p{
    color: var(--para);
    line-height: 1.6;
    font-size: 1.7rem;
}

a{
    text-decoration: none;
}

li{
    list-style: none;
}



/* ###############################################
                 Header Section Start
    ############################################## */

header{
    padding: 0 4.8rem;
    height: 10rem;
    background-color: var(--bg);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header img{
    height: 9rem;
    margin-left: -5rem;
    margin-top: -1rem;
}

nav ul{
    display: flex;
    gap: 4.8rem;
}

nav ul li a:link,
nav ul li a:visited{
    display: inline-block;
    font-size: 1.8rem;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--black);
    transition: color 0.3s linear;
}

nav ul li a:hover,
nav ul li a:active{
    color: var(--helper);
}

nav ul li a .left-icon{
    margin-left: 12rem;
}

nav ul li a .icon{
    height: 3.5rem;
    width: 3.5rem;
    margin-top: -1rem;

}
.mobile-navbar-btn{
    display: none;
    background-color: transparent;
    cursor:pointer;
    border: none;
}

.mobile-nav-icon[name="close-outline"] {
    display: none;
}

/* ###############################################
                Reusable Code section
################################################ */

.section{
    padding: 9rem 0;
}

.grid{
    display: grid;
    gap: 9rem;
}

.grid-two-column{
    grid-template-columns: repeat(2, 1fr); 
}

.grid-three-column{
    grid-template-columns: repeat(3, 1fr);
    
}
.grid-four-column{
    grid-template-columns: repeat(4, 1fr);
    
}

.container{
    max-width: 140rem;
    margin: 0 auto;
}

.btn{
    background: var(--gradientSupport);
    padding: 1.6rem 3.2rem;
    border: none;
    color: var(--helper-tint);
    display: inline-block;
    text-transform: uppercase;
    font-size: 1.8rem;
    font-weight: 500;
    position: relative;
    cursor: pointer;
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease 0s;
    -moz-transition: all 0.3s ease 0s;
    -o-transition: all 0.3s ease 0s
}
.btn:hover, .btn:active{
    box-shadow: var(--shadowSupport);
    color: rgb(255 255 255);

}

.common-heading{
    font-size: 4.8rem;
    font-weight: 600;
    margin-bottom: 6rem;
    text-transform: capitalize;
    position: relative;
}

.common-heading::before{
    content: "";
    position: absolute;
    top: 110%;
    left: 0;
    width: 1.5rem;
    height: 1.5rem;
    background: var(--helper);
    border-radius: 50%;
}

.common-heading::after{
    content: "";
    position: absolute;
    top: 120%;
    left: 1.5rem;
    min-width: 20rem;
    height: 0.3rem;
    background: var(--helper);
    
}

 /* ###############################################
                Hero section start
################################################## */

.section-hero{
    background-color: var(--bg);
    margin-top: -3rem;

}
.section-hero-image{
    display: flex;
    justify-content: center;
    align-items: center;
    
}
.hero-img{
    max-width: 80%;
    width: 25vw;
    height: 70vh; 
    border-radius: 5px;
    margin: -2rem o o -5rem;
} 
.section-hero-data{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin-left: -7rem;
}

.hero-top-data{
    text-transform: uppercase;
    font-weight: 500;
    font-size: 1.5rem;
    color: var(--white);
    border: 0px solid black;
    padding: 0 2.5rem;
    background: var(--gradientSupport);
    transition: all 1s ease-in;

}

.hero-hedding{
    text-transform: uppercase;
    font-weight: 700;
    font-size: 6.4rem;
}

.hero-para{
    margin-top: 1.5rem;
    margin-bottom: 5rem;
    max-width: 60rem;
}



 /* ###############################################
                BIO section start
################################################## */

.bio-image{
    display: flex;
    justify-content: center;
    align-items: center;
}

.bio-image img{
    width: 80%;
    box-shadow: -2rem -2rem 0 0 var(--helper);
    display: inline-block;
}

.bio-data{
    margin-left: 10rem;
}
.bio-data-stats{
    display: flex;
    padding: 6.4rem 0;
    flex-direction: column;
    gap: 3rem;
}

.bio-stats h3{
    margin-bottom: 1rem
}
.bio-progress-bar{
    width: 90%;
    height: 0.8rem;
    background-color: var(--para-tint);
    border-radius: 10rem;
    position: relative ;
}

.bio-progress-bar::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 80%;
    height: inherit;
    background: var(--gradientSupport);
    border-radius: 10rem;
}

.bio-progress-2::before{
    width: 98%;
}
.bio-progress-3::before{
    width: 85%;
}

.bio-progress-4::before{
    width: 50%;
}

.bio-progress-bar span{
    position: absolute;
    top: 1.8rem;
    width: 4rem;
    height: 2rem;
    background: var(--helper);
    color: var(--white);
    display: flex;
    justify-content: center;
    align-items: center;
}
.bio-progress-bar span{
    left: 76%;
}

.bio-progress-2 span{
    left: 94%;
}

.bio-progress-3 span{
    left: 81%;
}

.bio-progress-4 span{
    left: 46%;
}

 
/* To create a caret */

.bio-progress-bar span::after{
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border: 0.8rem solid transparent;
    /* border-color: transparent; */
    border-bottom-color: var(--helper);
    top: -1.6rem;
}


 /* ###############################################
                Portfolio section start
################################################## */

.section-portfolio{
    background: var(--bg);
    transition: all 0.7s linear;
    padding: 0 6rem;
}

.section-portfolio p{
    margin-left: 8rem;
    max-width: 60rem;
}

.p-btns{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3.2rem;
    margin: 6.4rem 0;
}

.portfolio-image{
    gap: 3.2rem;
}

.portfolio-images img{
    width: 100%;
    height: 26rem;
    border-radius: 7px;
    position: relative;
    overflow: hidden;
}

.img-overlay{
    position: relative;
    overflow: hidden;
}

.img-overlay .overlay{
    position:absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background:  var(--gradientSupport);
    display: flex;
    justify-content: center;
    opacity: 0;
    align-items: center;
    transform: translateY(100%);
    transition: all 0.3s linear;
    border-radius: 7px;
    overflow: hidden;
}

.img-overlay:hover  .overlay{
    transform: translate(0);
    opacity: 0.8;
    cursor: pointer;
}

.img-overlay .common-heading{
    margin: 0;
    color: var(--white);
    text-decoration: none;
}

.p-btn:hover{
    transform: translateY(-1rem);
}

.p-btn-active{
    transform: translateY(-1rem);
}

.p-btn-not-active{
    display: none;
}

/* ###############################################
    work data counter Section Start
################################################## */

.section-work-data{
    background: var(--gradientSupport);
    text-align: center;
    transition: all 0.7s linear;
    color: var(--white);
    margin-top: 8rem;
}

.counter-numbers{
    font-size: 4.8rem;
}

.section-work-data p {
    color: var(--white);
    text-transform: capitalize;
    margin-left: 7rem;
}

/* ###############################################
             Sericers Section Start
################################################## */

.section-services{
    transition: all  0.7s linear;
}

.section-services p{
    margin-left: 7rem;
    max-width: 60rem;
}

.service-box p{
    margin-left: auto;
    max-width: 60rem;
}


.section-services .grid{
    margin-top: 10rem;
    row-gap: 10rem;
}

.service-box{
    text-align: center;
    box-shadow: var(--shadow);
    border-radius: 5px;
    padding: 6.4rem 3.4rem;
    transform: all 0.2s linear;
    margin: 0 2rem;
}

.service-box:hover , .service-box:active{
    transform: translateY(-3rem);
    cursor: pointer;
}

.service-icon{
    width: 8rem;
    height: 8rem;
    background-color: var(--icon-bg);
    display: inline-block;
    border-radius: 56% 44% 70% 30% / 30% 54% 46% 70%;
    padding: 1.4rem 1.8rem;
    position: relative;
    color: var(--heading);
    animation: water-wave 3s linear infinite;
}

.service-icon::after{
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    height: 90%;
    border-radius: 56% 44% 70% 30% / 30% 54% 46% 70%;
    background: transparent;
    border: 1px solid var(--black);
    animation: water-wave 3s linear infinite;
}


@keyframes water-wave{
    0%{
        border-radius: 56% 44% 70% 30% / 30% 54% 46% 70%;
    }
    50%{
        border-radius: 3% 97% 15% 85% / 72% 0% 100% 28%;
    }
    100%{
        border-radius: 56% 44% 70% 30% / 30% 54% 46% 70%;
    }
}

.service-box h3{
    text-transform: capitalize;
    margin-top: 3rem;
    margin-bottom: 1rem;
}

/* ###############################################
             Services Section Start
################################################## */

.section-freelancing{
    background-image: url("/IMG/folio/3.jpg");
    background-repeat: no-repeat;
    background-size: 100%;
    background-attachment: fixed;
    position: relative;
    transition: all 0.7s linear;
    text-align: center;
}

.section-freelancing .overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--overlay);
    opacity: 0.7;
}

.section-freelancing .container{
    color: var(--helper-tint);
    position: relative;
}

.section-freelancing h2{
    font-size: 5.4rem;
}

.section-freelancing span{
    color: #a0f669;
}

.section-freelancing h2, .section-freelancing  p{
    color: var(--white);
    margin-bottom: 1.8rem;
}

/* ###############################################
             contact Section Start
################################################## */
.container h2{
    margin-left: 7rem;
}
.section-contact-main {
    max-width: 70rem;
    margin: 0 auto;
    margin-top: 9rem;
    transition: all 0.3s linear;
}

.section-contact-main form{
    display: flex;
    flex-direction: column;
    gap: 32rem;
}
.section-contact-main textarea{
    padding: 0.1rem 2rem;
    border: 0.3rem solid #a3a2a2;
    border-radius: 5px;
    font-size: 1.6rem;
    font-family: 'work sans';
    width: 100%;
    height: 15rem;
}

.section-contact-main input{
    padding: 0.1rem 2rem;
    border: 0.3rem solid #a3a2a2;
    border-radius: 5px;
    font-size: 1.6rem;
    font-family: 'work sans';
    width: 100%;
    height: 4rem;
}

.section-contact-main input[type="submit"]{
    /* max-width: 30%; */
    border: none;
    height: 6rem;
    /* margin-bottom: 20rem; */
    margin-top: -20rem;
    padding-top: -20rem;
     
}

/* =========================================
         footer Section start
========================================= */

.section-footer{
    background: var(--heading);
    transition: all 0.7s linear;
    padding-left: 6rem;
}

.section-footer h3{
    color: var(--white);
    margin-bottom: 4rem;
    padding: 0 2.8rem;
}

.f-about p{
    color: #adadad;
}

.f-links ul , .f-services ul , .f-address address{
    display: flex;
    flex-direction: column;
    gap: 1.8rem;
    justify-content: center;

}

.f-links li, .f-links a, .f-services a{
    font-size: 1.8rem;
    color: #adadad;
    text-transform: capitalize;
}

.f-links span, .f-services span, .f-address span{
    font-style: normal;
    color: #adadad;
}

.f-social-icons{
    margin: 5rem 0;
    text-align: center;
    color: #adadad;
}

.f-social-icons .icons{
    width: 4rem;
    height: 4rem;
    margin: 0 2rem;
    background-color: var(--icon-bg);
    display: inline-block;
    padding: 1.4rem 1.8rem;
    position: relative;
    color: var(--white);
    cursor: pointer;
    animation: water-wave 3s linear infinite;
}

.f-credits p{
    text-align: center;
    color: #adadad;
}

.footer a:hover,
.footer a:active {
    color: var(--white);
}


/* =========================================
         ScrollTop Section start
========================================= */

.scrollTop-style{
    position: fixed;
    right: 2%;
    bottom: 5%;
    z-index: 1;
}

.scroll-top{
    width: 4rem;
    height: 4rem;
    background: var(--helper);
    display: inline-block;
    padding: 1.4rem 1.8rem;
    color: var(--white);
    position: relative;
    animation: water-wave 3s linear infinite;
    cursor: pointer;

}


/* =========================================
         Media quory start
========================================= */
    @media (max-width: 75em) {
        html{
            font-size: 56.255;
        }
        .container{
            max-width: 110rem;
        }
        .grid{
            gap: 4.8rem;
        }
        
    }


@media (max-width: 95em) {
    .container{
        max-width: 130rem;
        padding: 0 3.2rem;
    }

    .navbar-lists{
        gap: 3.4rem;
    }

}

@media (max-width: 980px) {
    html{
        font-size: 50%;
    }
    .header{
        position: relative;
    }

    .mobile-navbar-btn{
        display: block;
        z-index: 9999;
        border: 3px solid var(--black);
        color: var(--black);
    }

    .mobile-nav-icon{
        height: 5rem;
        width: 5rem;
        color: var(--black);
    }

    .header .logo{
        width: 40%;
    }

    .navbar{
        width: 100%;
        height: 100vh;
        position: absolute;
        top: 0;
        left: 0;
        background: var(--gradient);

        display: flex;
        justify-content: center;
        align-items: center;

        transform: translateX(100%);
        transition: all 0.5s linear;

        z-index: 999;
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
    }

    .navbar-lists{
        flex-direction: column;
        align-items: center;
    }

    .navbar .navbar-lists .navbar-link:link,
    .navbar .navbar-lists .navbar-link:visited {
        color: #212529;
        font-size: 3.2rem;
    }

    .active .navbar{
        transform: translateX(0%);
        opacity: 1;
        visibility: hidden;
        pointer-events: auto;
    }

    .active .mobile-navbar-btn .mobile-nav-icon[name="menu-outline"] {
        display: none;
    }

    .active .mobile-navbar-btn .mobile-nav-icon[name="close-outline"] {
        display: block;
    }

    .section-hero h1{
        line-height: 1.05;
    }
    .hero-img{
        /* width: 70%; */
        height: 90%;
    }

    .section-services .grid-three-column{
        grid-template-columns: repeat(2,1fr);
    }
    .section-footer .grid-four-column{
        grid-template-columns: 1fr 1fr;
    }
}

/* Below 790 */

@media(max-width:49em) {
    .container{
        max-width: 73rem;
    }

    .section-hero .grid-two-column{
        grid-template-columns: 1fr;
    }
    .section-hero-data{
        align-items: center ;
        margin-left: 0.0001rem;
    }
    .section-hero .section-hero-image{
        grid-row: 2;
        /* margin-top: 3.2rem; */
    }
    .hero-hedding{
        text-align: center;
        font-size: 42px;
    }
    .hero-para{
        text-align: center;
        margin-top: 2rem;
        font-size: 12px;
        margin-left: 3.5rem;
    }
    .hero-img{
        width: 70%;
        height: 75%;
    }

    /* Bio data */
    .section-biodata .grid-two-column{
        grid-template-columns: 1fr;
    }
    .section-biodata .bio-image img {
        width: 60%;
        height: 85%;
    }
    /* Portfolio section */
    .section-portfolio .grid-three-column{
        grid-template-columns: repeat(2, 1fr);
    }

    /* Work data */
    .section-work-data .grid-four-column{
        grid-template-columns: 1fr 1fr;
    }
}


 